Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453378 - xnest crashes with firefox as client application.
Summary: xnest crashes with firefox as client application.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 9
Hardware: x86_64
OS: Linux
low
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-30 09:07 UTC by Knut-Håvard Aksnes
Modified: 2018-04-11 09:02 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 17:44:51 UTC


Attachments (Terms of Use)
Newest Xorg.log from /var/log (deleted)
2008-07-02 10:00 UTC, Knut-Håvard Aksnes
no flags Details

Description Knut-Håvard Aksnes 2008-06-30 09:07:56 UTC
Description of problem:


Version-Release number of selected component (if applicable):
xorg-x11-server-Xnest-1.4.99.902-3.20080612.fc9.x86_64

How reproducible:

For me everytime
Steps to Reproduce:
1. In one window run: Xnest :1.0 -geometry 1280x720 -ac
2. In another window run: DISPLAY=:1.0 firefox
  
Actual results:
Firefox is shown for a short while in the Xnest window before it crashes with
the following output:
(EE) config/hal: NewInputDeviceRequest failed
(EE) config/hal: NewInputDeviceRequest failed
(EE) config/hal: NewInputDeviceRequest failed
X Error of failed request:  BadDrawable (invalid Pixmap or Window parameter)
  Major opcode of failed request:  70 (X_PolyFillRectangle)
  Resource id in failed request:  0x0
  Serial number of failed request:  10376
  Current serial number in output stream:  10377

Expected results:
Netscape running in the window
Additional info:
Testing the Xnest server using vlc instead of netscape works fine.

Comment 1 Matěj Cepl 2008-06-30 18:52:01 UTC
It looks like this is neither firefox nor Xorg issue, but it could be hal problem.

However, to be sure we are not blaming innocent, we need some additional
information that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 2 Knut-Håvard Aksnes 2008-07-02 09:56:32 UTC
I have some problems with X11 hardware support for my machine, this is reported
as bug 453741. The (EE) config/hal messages seems to be harmless as they appear
early, before starting netscape.

Comment 3 Knut-Håvard Aksnes 2008-07-02 10:00:09 UTC
Created attachment 310776 [details]
Newest Xorg.log from /var/log

Comment 4 Knut-Håvard Aksnes 2008-07-02 13:51:21 UTC
The same behaviour is found on Ubuntu 8.04 Desktop edition running on an old
i686 based server.

Comment 5 Bug Zapper 2009-06-10 01:51:06 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2009-07-14 17:44:51 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.